package com.ruoyi.project.ehs.mapper;

import java.util.List;
import java.util.Map;

import com.ruoyi.framework.aspectj.lang.annotation.DataScope;
import com.ruoyi.project.common.domain.DataEntity;
import com.ruoyi.project.ehs.domain.TRcaudit;

/**
 * RC审计助手Mapper接口
 * 
 * @author ruoyi
 * @date 2020-12-07
 */
public interface TRcauditMapper 
{
    /**
     * 查询RC审计助手
     * 
     * @param id RC审计助手ID
     * @return RC审计助手
     */
    public TRcaudit selectTRcauditById(Long id);

    /**
     * 查询RC审计助手列表
     * 
     * @param tRcaudit RC审计助手
     * @return RC审计助手集合
     */
    @DataScope(deptAlias = "d")
    public List<TRcaudit> selectTRcauditList(TRcaudit tRcaudit);

    /**
     * 新增RC审计助手
     * 
     * @param tRcaudit RC审计助手
     * @return 结果
     */
    public int insertTRcaudit(TRcaudit tRcaudit);

    /**
     * 修改RC审计助手
     * 
     * @param tRcaudit RC审计助手
     * @return 结果
     */
    public int updateTRcaudit(TRcaudit tRcaudit);

    /**
     * 删除RC审计助手
     * 
     * @param id RC审计助手ID
     * @return 结果
     */
    public int deleteTRcauditById(Long id);

    /**
     * 批量删除RC审计助手
     * 
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteTRcauditByIds(Long[] ids);

    DataEntity selectNaData(Map param);
}
